<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2024 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2024-09-30
 */
define('IN_DOUCO', true);

$_CUR = 'sn';
require (dirname(__FILE__) . '/include/init.php');

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

/**
 * +----------------------------------------------------------
 * 业务范围列表
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    // 数据封装
    $data['title'] = $_LANG['sn'];
}

/**
 * +----------------------------------------------------------
 * 搜索
 * +----------------------------------------------------------
 */
elseif ($rec == 'search') {
    // 载入并实例化类库
    require (ROOT_PATH . 'include/sn.class.php');
    $dou_sn = new Sn();

    // 序列号
    if (!$_REQUEST['code']) {
        $wrong = $_LANG['sn_code'] . $_LANG['is_empty'];
    } elseif (!$check->is_basic_string($_REQUEST['code'])) {
        $wrong = $_LANG['sn_code'] . $_LANG['illegal_char'];
    }
    
    // 错误提示
    $data['wrong'] = $wrong;
    if ($data['wrong']) {
        echo json_encode($data);
        exit;
    }
    
    // 获取查询内容
    $id = $dou->get_one("SELECT id FROM " . $dou->table('sn') . " WHERE column_b = '$_REQUEST[code]'");
    if (!$id) {
        // 错误提示
        $data['wrong'] = $_LANG['sn_wrong'];
        if ($data['wrong']) {
            echo json_encode($data);
            exit;
        }
    }
    
    $result = $dou_sn->item($id);
 
    // 数据封装
    $data['result'] = $result;
    $data['code'] = $_REQUEST['code'];
}

echo json_encode($data);

?>